#380 Stopping generating legacy interrupts with igb 1.3.16-k issue

closed
None
in-kernel_driver
2
2015-02-24
2013-10-01
netprince
No

we found a problem with igb 1.3.16-k with our boards on SLES11 SP2. used in legacy interrupt mode.
When all four 1Gb interfaces are set up and used in legacy interrupt mode, two ethernet controllers (eth0 and eth3) stops generating interrupts for a while, causing temporary link failures due to unprocessed packets. Sometimes the interrupts are gone permanently which results in permanenty link failures. Our investigation showed that the problem always occurs with the same two controllers (eth0 and eth3), they are sharing the same IRQ, while the other two controllers have unique IRQ number. Based on the IAC (interrupt assertion count) register of the hanging controllers it seems they generated an interrupt which never reached the CPU, there is no indication of a pending or processed interrupt in the IRR and ISR registers of the Local APIC.
Linux with MSI/MSIX is working fine, however we managed to reproduced the fault on SLES after disabling MSI and using legacy interrupts.

The driver igb 1.3.16-k is from stock SLES11 SP2's Linux Kernel 3.0.80-0.7.1.

Our boards used a Platform Controller Hub (PCH) CaveCreek, which contained four 1GbE controllers connected to PCIE.

02:00.0 Co-processor [0b40]: Intel Corporation Device [8086:0434] (rev 10)
02:00.1 Ethernet controller [0200]: Intel Corporation DH8900CC Series Gigabit Network Connection [8086:0438] (rev 10) eth0
02:00.2 Ethernet controller [0200]: Intel Corporation DH8900CC Series Gigabit Network Connection [8086:0438] (rev 10) eth1
02:00.3 Ethernet controller [0200]: Intel Corporation DH8900CC Series Gigabit Network Connection [8086:0438] (rev 10) eth2
02:00.4 Ethernet controller [0200]: Intel Corporation DH8900CC Series Gigabit Network Connection [8086:0438] (rev 10) eth3

linux:~ # cat /proc/interrupts 
           CPU0       
  0:       6876   IO-APIC-edge      timer
  3:          1   IO-APIC-edge    
  4:      12003   IO-APIC-edge      serial
  9:          0   IO-APIC-fasteoi   acpi
 14:          0   IO-APIC-edge      ide0
 15:          0   IO-APIC-edge      ide1
 17:        141   IO-APIC-fasteoi   eth4
 19:        263   IO-APIC-fasteoi   ahci
 23:         26   IO-APIC-fasteoi   ehci_hcd:usb1
 36:        241   IO-APIC-fasteoi   eth0, eth3
 37:          6   IO-APIC-fasteoi   eth1
 38:          5   IO-APIC-fasteoi   eth2
NMI:         19   Non-maskable interrupts
LOC:      77525   Local timer interrupts
SPU:          0   Spurious interrupts
PMI:         19   Performance monitoring interrupts
IWI:          0   IRQ work interrupts
TRM:          0   Thermal event interrupts
THR:          0   Threshold APIC interrupts
MCE:          0   Machine check exceptions
MCP:          4   Machine check polls
ERR:          0
MIS:          0

We have not seen this problem on another boards running the same code (with the same device drivers), also using shared IRQs. The boards use 82576 GbE controller as below.
01:00.0 Ethernet controller [0200]: Intel Corporation 82576 Gigabit Network Connection [8086:10c9] (rev 01)
01:00.1 Ethernet controller [0200]: Intel Corporation 82576 Gigabit Network Connection [8086:10c9] (rev 01)
03:00.0 Ethernet controller [0200]: Intel Corporation 82576 Gigabit Network Connection [8086:10c9] (rev 01)
03:00.1 Ethernet controller [0200]: Intel Corporation 82576 Gigabit Network Connection [8086:10c9] (rev 01)

I found there was a similar issue with ixgbe 1.3.16.1. But I wonder if the same issue exists with igb 1.3.16-k.

271 ixgbe 1.3.16.1 with NAPI issue

http://sourceforge.net/p/e1000/bugs/271/?page=0

Discussion

  • Jeff Kirsher

    Jeff Kirsher - 2013-10-01
    • assigned_to: Jesse Brandeburg --> Carolyn Wyborny
     
  • Todd Fujinaka

    Todd Fujinaka - 2013-10-01
    • assigned_to: Carolyn Wyborny --> Todd Fujinaka
     
  • Todd Fujinaka

    Todd Fujinaka - 2013-10-01

    Can you also attach the full output of lspci -vvv (run as root) as well?

    Thanks.

     
  • Todd Fujinaka

    Todd Fujinaka - 2013-10-01

    Also, I'm looking into versioning, but that igb driver sounds too old to be working with your hardware. Can you try using a later kernel, or perhaps the newest driver from e1000.sourceforge.net just to see if the problem reproduces?

    Thanks.

     
  • netprince

    netprince - 2013-10-02

    linux:~ # lspci -nn
    00:00.0 Host bridge [0600]: Intel Corporation Sandy Bridge DMI2 [8086:3c00] (rev 07)
    00:01.0 PCI bridge [0604]: Intel Corporation Sandy Bridge IIO PCI Express Root Port 1a [8086:3c02] (rev 07)
    00:02.0 PCI bridge [0604]: Intel Corporation Sandy Bridge IIO PCI Express Root Port 2a [8086:3c04] (rev 07)
    00:03.0 PCI bridge [0604]: Intel Corporation Sandy Bridge IIO PCI Express Root Port 3a in PCI Express Mode [8086:3c08] (rev 07)
    00:03.2 PCI bridge [0604]: Intel Corporation Sandy Bridge IIO PCI Express Root Port 3c [8086:3c0a] (rev 07)
    00:05.0 System peripheral [0880]: Intel Corporation Sandy Bridge Address Map, VTd_Misc, System Management [8086:3c28] (rev 07)
    00:05.2 System peripheral [0880]: Intel Corporation Sandy Bridge Control Status and Global Errors [8086:3c2a] (rev 07)
    00:05.4 PIC [0800]: Intel Corporation Sandy Bridge I/O APIC [8086:3c2c] (rev 07)
    00:16.0 Communication controller [0780]: Intel Corporation DH89xxCC MEI 0 [8086:2364] (rev 06)
    00:16.1 Communication controller [0780]: Intel Corporation DH89xxCC MEI 1 [8086:2365] (rev 06)
    00:1c.0 PCI bridge [0604]: Intel Corporation DH89xxCC PCI Express Root Port #1 [8086:2342] (rev 07)
    00:1c.1 PCI bridge [0604]: Intel Corporation DH89xxCC PCI Express Root Port #2 [8086:2344] (rev 07)
    00:1d.0 USB controller [0c03]: Intel Corporation DH89xxCC USB2 Enhanced Host Controller #1 [8086:2334] (rev 07)
    00:1f.0 ISA bridge [0601]: Intel Corporation DH89xxCC LPC Controller [8086:2310] (rev 07)
    00:1f.2 SATA controller [0106]: Intel Corporation DH89xxCC 4 Port SATA AHCI Controller [8086:2323] (rev 07)
    00:1f.3 SMBus [0c05]: Intel Corporation DH89xxCC SMBus Controller [8086:2330] (rev 07)
    00:1f.7 System peripheral [0880]: Intel Corporation DH89xxCC Watchdog Timer [8086:2360] (rev 07)
    01:00.0 Ethernet controller [0200]: Intel Corporation 82599EB 10 Gigabit Dual Port Backplane Connection [8086:10f8] (rev 01)
    01:00.1 Ethernet controller [0200]: Intel Corporation 82599EB 10 Gigabit Dual Port Backplane Connection [8086:10f8] (rev 01)
    02:00.0 Co-processor [0b40]: Intel Corporation Device [8086:0434] (rev 10)
    02:00.1 Ethernet controller [0200]: Intel Corporation DH8900CC Series Gigabit Network Connection [8086:0438] (rev 10)
    02:00.2 Ethernet controller [0200]: Intel Corporation DH8900CC Series Gigabit Network Connection [8086:0438] (rev 10)
    02:00.3 Ethernet controller [0200]: Intel Corporation DH8900CC Series Gigabit Network Connection [8086:0438] (rev 10)
    02:00.4 Ethernet controller [0200]: Intel Corporation DH8900CC Series Gigabit Network Connection [8086:0438] (rev 10)
    02:00.5 Co-processor [0b40]: Intel Corporation Device [8086:043e] (rev 10)
    06:00.0 Ethernet controller [0200]: Intel Corporation 82574L Gigabit Network Connection [8086:10d3]
    ff:08.0 System peripheral [0880]: Intel Corporation Sandy Bridge QPI Link 0 [8086:3c80] (rev 07)
    ff:08.3 System peripheral [0880]: Intel Corporation Sandy Bridge QPI Link Reut 0 [8086:3c83] (rev 07)
    ff:08.4 System peripheral [0880]: Intel Corporation Sandy Bridge QPI Link Reut 0 [8086:3c84] (rev 07)
    ff:09.0 System peripheral [0880]: Intel Corporation Sandy Bridge QPI Link 1 [8086:3c90] (rev 07)
    ff:09.3 System peripheral [0880]: Intel Corporation Sandy Bridge QPI Link Reut 1 [8086:3c93] (rev 07)
    ff:09.4 System peripheral [0880]: Intel Corporation Sandy Bridge QPI Link Reut 1 [8086:3c94] (rev 07)
    ff:0a.0 System peripheral [0880]: Intel Corporation Sandy Bridge Power Control Unit 0 [8086:3cc0] (rev 07)
    ff:0a.1 System peripheral [0880]: Intel Corporation Sandy Bridge Power Control Unit 1 [8086:3cc1] (rev 07)
    ff:0a.2 System peripheral [0880]: Intel Corporation Sandy Bridge Power Control Unit 2 [8086:3cc2] (rev 07)
    ff:0a.3 System peripheral [0880]: Intel Corporation Sandy Bridge Power Control Unit 3 [8086:3cd0] (rev 07)
    ff:0b.0 System peripheral [0880]: Intel Corporation Sandy Bridge Interrupt Control Registers [8086:3ce0] (rev 07)
    ff:0b.3 System peripheral [0880]: Intel Corporation Sandy Bridge Semaphore and Scratchpad Configuration Registers [8086:3ce3] (rev 07)
    ff:0c.0 System peripheral [0880]: Intel Corporation Sandy Bridge Unicast Register 0 [8086:3ce8] (rev 07)
    ff:0c.1 System peripheral [0880]: Intel Corporation Sandy Bridge Unicast Register 0 [8086:3ce8] (rev 07)
    ff:0c.2 System peripheral [0880]: Intel Corporation Sandy Bridge Unicast Register 0 [8086:3ce8] (rev 07)
    ff:0c.3 System peripheral [0880]: Intel Corporation Sandy Bridge Unicast Register 0 [8086:3ce8] (rev 07)
    ff:0c.6 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller System Address Decoder 0 [8086:3cf4] (rev 07)
    ff:0c.7 System peripheral [0880]: Intel Corporation Sandy Bridge System Address Decoder [8086:3cf6] (rev 07)
    ff:0d.0 System peripheral [0880]: Intel Corporation Sandy Bridge Unicast Register 0 [8086:3ce8] (rev 07)
    ff:0d.1 System peripheral [0880]: Intel Corporation Sandy Bridge Unicast Register 0 [8086:3ce8] (rev 07)
    ff:0d.2 System peripheral [0880]: Intel Corporation Sandy Bridge Unicast Register 0 [8086:3ce8] (rev 07)
    ff:0d.3 System peripheral [0880]: Intel Corporation Sandy Bridge Unicast Register 0 [8086:3ce8] (rev 07)
    ff:0d.6 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller System Address Decoder 1 [8086:3cf5] (rev 07)
    ff:0e.0 System peripheral [0880]: Intel Corporation Sandy Bridge Processor Home Agent [8086:3ca0] (rev 07)
    ff:0e.1 Performance counters [1101]: Intel Corporation Sandy Bridge Processor Home Agent Performance Monitoring [8086:3c46] (rev 07)
    ff:0f.0 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Registers [8086:3ca8] (rev 07)
    ff:0f.1 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller RAS Registers [8086:3c71] (rev 07)
    ff:0f.2 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Target Address Decoder 0 [8086:3caa] (rev 07)
    ff:0f.3 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Target Address Decoder 1 [8086:3cab] (rev 07)
    ff:0f.4 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Target Address Decoder 2 [8086:3cac] (rev 07)
    ff:0f.5 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Target Address Decoder 3 [8086:3cad] (rev 07)
    ff:0f.6 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Target Address Decoder 4 [8086:3cae] (rev 07)
    ff:10.0 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Channel 0-3 Thermal Control 0 [8086:3cb0] (rev 07)
    ff:10.1 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Channel 0-3 Thermal Control 1 [8086:3cb1] (rev 07)
    ff:10.2 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller ERROR Registers 0 [8086:3cb2] (rev 07)
    ff:10.3 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller ERROR Registers 1 [8086:3cb3] (rev 07)
    ff:10.4 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Channel 0-3 Thermal Control 2 [8086:3cb4] (rev 07)
    ff:10.5 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Channel 0-3 Thermal Control 3 [8086:3cb5] (rev 07)
    ff:10.6 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller ERROR Registers 2 [8086:3cb6] (rev 07)
    ff:10.7 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller ERROR Registers 3 [8086:3cb7] (rev 07)
    ff:11.0 System peripheral [0880]: Intel Corporation Sandy Bridge DDRIO [8086:3cb8] (rev 07)
    ff:13.0 System peripheral [0880]: Intel Corporation Sandy Bridge R2PCIe [8086:3ce4] (rev 07)
    ff:13.1 Performance counters [1101]: Intel Corporation Sandy Bridge Ring to PCI Express Performance Monitor [8086:3c43] (rev 07)
    ff:13.4 Performance counters [1101]: Intel Corporation Sandy Bridge QuickPath Interconnect Agent Ring Registers [8086:3ce6] (rev 07)
    ff:13.5 Performance counters [1101]: Intel Corporation Sandy Bridge Ring to QuickPath Interconnect Link 0 Performance Monitor [8086:3c44] (rev 07)
    ff:13.6 System peripheral [0880]: Intel Corporation Sandy Bridge Ring to QuickPath Interconnect Link 1 Performance Monitor [8086:3c45] (rev 07)
    linux:~ #

    linux:~ # lspci -vvv -nn
    00:00.0 Host bridge [0600]: Intel Corporation Sandy Bridge DMI2 [8086:3c00] (rev 07)
    Subsystem: Intel Corporation Sandy Bridge DMI2 [8086:3c00]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-="" Interrupt:="" pin="" A="" routed="" to="" IRQ="" 0="" Capabilities:="" <span="">[90] Express (v2) Root Port (Slot-), MSI 00 DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us ExtTag- RBE+ FLReset- DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported- RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop- MaxPayload 128 bytes, MaxReadReq 128 bytes DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend- LnkCap: Port #0, Speed 2.5GT/s, Width x4, ASPM L0s L1, Latency L0 <512ns, L1 <16us ClockPM- Suprise+ LLActRep+ BwNot+ LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk- ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt- LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt- RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible- RootCap: CRSVisible- RootSta: PME ReqID 0000, PMEStatus- PMEPending- DevCap2: Completion Timeout: Range BCD, TimeoutDis+ ARIFwd- DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis- ARIFwd- LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS- Compliance De-emphasis: -6dB LnkSta2: Current De-emphasis Level: -6dB Capabilities: [e0] Power Management version 3 Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+) Status: D0 PME-Enable- DSel=0 DScale=0 PME- Capabilities: [100] Vendor Specific Information
    Capabilities: [144] Vendor Specific Information <?>
    Capabilities: [1d0] Vendor Specific Information <?>
    Capabilities: [280] Vendor Specific Information <?>

    00:01.0 PCI bridge [0604]: Intel Corporation Sandy Bridge IIO PCI Express Root Port 1a [8086:3c02] (rev 07) (prog-if 00 [Normal decode])
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-="" Latency:="" 0,="" Cache="" Line="" Size:="" 64="" bytes="" Bus:="" primary="00," secondary="01," subordinate="01," sec-latency="0" I="" O="" behind="" bridge:="" 0000e000-0000efff="" Memory="" behind="" bridge:="" fbe00000-fbefffff="" Prefetchable="" memory="" behind="" bridge:="" 00000000fff00000-00000000000fffff="" Secondary="" status:="" 66MHz-="" FastB2B-="" ParErr-="" DEVSEL="fast">TAbort- <TAbort- <MAbort-="" <SERR-="" <PERR-="" BridgeCtl:="" Parity-="" SERR-="" NoISA-="" VGA-="" MAbort-="">Reset- FastB2B-
    PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
    Capabilities: [40] Subsystem: Intel Corporation Sandy Bridge IIO PCI Express Root Port 1a [8086:3c02]
    Capabilities: [60] Message Signalled Interrupts: Mask+ 64bit- Count=1/2 Enable-
    Address: 00000000 Data: 0000
    Masking: 00000000 Pending: 00000000
    Capabilities: [90] Express (v2) Root Port (Slot+), MSI 00
    DevCap: MaxPayload 256 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE+ FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 256 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed 5GT/s, Width x8, ASPM unknown, Latency L0 unlimited, L1 <16us
    ClockPM- Suprise+ LLActRep+ BwNot+
    LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed 5GT/s, Width x8, TrErr- Train- SlotClk+ DLActive+ BWMgmt+ ABWMgmt-
    SltCap: AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surpise-
    Slot # 0, PowerLimit 25.000000; Interlock- NoCompl-
    SltCtl: Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
    Control: AttnInd Off, PwrInd Off, Power+ Interlock-
    SltSta: Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
    Changed: MRL- PresDet- LinkState-
    RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
    RootCap: CRSVisible-
    RootSta: PME ReqID 0000, PMEStatus- PMEPending-
    DevCap2: Completion Timeout: Range BCD, TimeoutDis+ ARIFwd+
    DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis- ARIFwd+
    LnkCtl2: Target Link Speed: 5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
    LnkSta2: Current De-emphasis Level: -6dB
    Capabilities: [e0] Power Management version 3
    Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
    Status: D0 PME-Enable- DSel=0 DScale=0 PME-
    Capabilities: [100] Vendor Specific Information <?>
    Capabilities: [110] Access Control Services
    ACSCap: SrcValid+ TransBlk+ ReqRedir+ CmpltRedir+ UpstreamFwd+ EgressCtrl- DirectTrans-
    ACSCtl: SrcValid- TransBlk- ReqRedir- CmpltRedir- UpstreamFwd- EgressCtrl- DirectTrans-
    Capabilities: [148] Advanced Error Reporting
    UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UESvrt: DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
    CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
    CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
    AERCap: First Error Pointer: 00, GenCap- CGenEn- ChkCap- ChkEn-
    Capabilities: [1d0] Vendor Specific Information <?>
    Capabilities: [250] #19
    Capabilities: [280] Vendor Specific Information <?>
    Kernel driver in use: pcieport

    00:02.0 PCI bridge [0604]: Intel Corporation Sandy Bridge IIO PCI Express Root Port 2a [8086:3c04] (rev 07) (prog-if 00 [Normal decode])
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-="" Latency:="" 0,="" Cache="" Line="" Size:="" 64="" bytes="" Bus:="" primary="00," secondary="02," subordinate="02," sec-latency="0" I="" O="" behind="" bridge:="" 0000d000-0000dfff="" Memory="" behind="" bridge:="" fbd00000-fbdfffff="" Prefetchable="" memory="" behind="" bridge:="" 00000000fbb00000-00000000fbbfffff="" Secondary="" status:="" 66MHz-="" FastB2B-="" ParErr-="" DEVSEL="fast">TAbort- <TAbort- <MAbort-="" <SERR-="" <PERR-="" BridgeCtl:="" Parity-="" SERR-="" NoISA-="" VGA-="" MAbort-="">Reset- FastB2B-
    PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
    Capabilities: [40] Subsystem: Intel Corporation Sandy Bridge IIO PCI Express Root Port 2a [8086:3c04]
    Capabilities: [60] Message Signalled Interrupts: Mask+ 64bit- Count=1/2 Enable-
    Address: 00000000 Data: 0000
    Masking: 00000000 Pending: 00000000
    Capabilities: [90] Express (v2) Root Port (Slot+), MSI 00
    DevCap: MaxPayload 256 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE+ FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 256 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed 5GT/s, Width x16, ASPM unknown, Latency L0 unlimited, L1 <16us
    ClockPM- Suprise+ LLActRep+ BwNot+
    LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed 5GT/s, Width x8, TrErr- Train- SlotClk+ DLActive+ BWMgmt+ ABWMgmt-
    SltCap: AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surpise-
    Slot # 0, PowerLimit 75.000000; Interlock- NoCompl-
    SltCtl: Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
    Control: AttnInd Off, PwrInd Off, Power+ Interlock-
    SltSta: Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
    Changed: MRL- PresDet- LinkState-
    RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
    RootCap: CRSVisible-
    RootSta: PME ReqID 0000, PMEStatus- PMEPending-
    DevCap2: Completion Timeout: Range BCD, TimeoutDis+ ARIFwd+
    DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis- ARIFwd-
    LnkCtl2: Target Link Speed: 5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
    LnkSta2: Current De-emphasis Level: -6dB
    Capabilities: [e0] Power Management version 3
    Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
    Status: D0 PME-Enable- DSel=0 DScale=0 PME-
    Capabilities: [100] Vendor Specific Information <?>
    Capabilities: [110] Access Control Services
    ACSCap: SrcValid+ TransBlk+ ReqRedir+ CmpltRedir+ UpstreamFwd+ EgressCtrl- DirectTrans-
    ACSCtl: SrcValid- TransBlk- ReqRedir- CmpltRedir- UpstreamFwd- EgressCtrl- DirectTrans-
    Capabilities: [148] Advanced Error Reporting
    UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UESvrt: DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
    CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
    CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
    AERCap: First Error Pointer: 00, GenCap- CGenEn- ChkCap- ChkEn-
    Capabilities: [1d0] Vendor Specific Information <?>
    Capabilities: [250] #19
    Capabilities: [280] Vendor Specific Information <?>
    Kernel driver in use: pcieport

    00:03.0 PCI bridge [0604]: Intel Corporation Sandy Bridge IIO PCI Express Root Port 3a in PCI Express Mode [8086:3c08] (rev 07) (prog-if 00 [Normal decode])
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-="" Latency:="" 0,="" Cache="" Line="" Size:="" 64="" bytes="" Bus:="" primary="00," secondary="03," subordinate="03," sec-latency="0" I="" O="" behind="" bridge:="" 0000f000-00000fff="" Memory="" behind="" bridge:="" fff00000-000fffff="" Prefetchable="" memory="" behind="" bridge:="" 00000000fff00000-00000000000fffff="" Secondary="" status:="" 66MHz-="" FastB2B-="" ParErr-="" DEVSEL="fast">TAbort- <TAbort- <MAbort-="" <SERR-="" <PERR-="" BridgeCtl:="" Parity-="" SERR-="" NoISA-="" VGA-="" MAbort-="">Reset- FastB2B-
    PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
    Capabilities: [40] Subsystem: Intel Corporation Sandy Bridge IIO PCI Express Root Port 3a in PCI Express Mode [8086:3c08]
    Capabilities: [60] Message Signalled Interrupts: Mask+ 64bit- Count=1/2 Enable-
    Address: 00000000 Data: 0000
    Masking: 00000000 Pending: 00000000
    Capabilities: [90] Express (v2) Root Port (Slot+), MSI 00
    DevCap: MaxPayload 256 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag+ RBE+ FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed 5GT/s, Width x8, ASPM unknown, Latency L0 unlimited, L1 <16us
    ClockPM- Suprise+ LLActRep+ BwNot+
    LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
    SltCap: AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surpise-
    Slot # 1, PowerLimit 25.000000; Interlock- NoCompl-
    SltCtl: Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
    Control: AttnInd Off, PwrInd Off, Power+ Interlock-
    SltSta: Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet- Interlock-
    Changed: MRL- PresDet- LinkState-
    RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
    RootCap: CRSVisible-
    RootSta: PME ReqID 0000, PMEStatus- PMEPending-
    DevCap2: Completion Timeout: Range BCD, TimeoutDis+ ARIFwd+
    DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis- ARIFwd-
    LnkCtl2: Target Link Speed: 5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
    LnkSta2: Current De-emphasis Level: -6dB
    Capabilities: [e0] Power Management version 3
    Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
    Status: D0 PME-Enable- DSel=0 DScale=0 PME-
    Capabilities: [100] Vendor Specific Information <?>
    Capabilities: [110] Access Control Services
    ACSCap: SrcValid+ TransBlk+ ReqRedir+ CmpltRedir+ UpstreamFwd+ EgressCtrl- DirectTrans-
    ACSCtl: SrcValid- TransBlk- ReqRedir- CmpltRedir- UpstreamFwd- EgressCtrl- DirectTrans-
    Capabilities: [148] Advanced Error Reporting
    UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UESvrt: DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
    CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
    CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
    AERCap: First Error Pointer: 00, GenCap- CGenEn- ChkCap- ChkEn-
    Capabilities: [1d0] Vendor Specific Information <?>
    Capabilities: [250] #19
    Capabilities: [280] Vendor Specific Information <?>
    Kernel driver in use: pcieport

    00:03.2 PCI bridge [0604]: Intel Corporation Sandy Bridge IIO PCI Express Root Port 3c [8086:3c0a] (rev 07) (prog-if 00 [Normal decode])
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-="" Latency:="" 0,="" Cache="" Line="" Size:="" 64="" bytes="" Bus:="" primary="00," secondary="04," subordinate="04," sec-latency="0" I="" O="" behind="" bridge:="" 0000f000-00000fff="" Memory="" behind="" bridge:="" fff00000-000fffff="" Prefetchable="" memory="" behind="" bridge:="" 00000000fff00000-00000000000fffff="" Secondary="" status:="" 66MHz-="" FastB2B-="" ParErr-="" DEVSEL="fast">TAbort- <TAbort- <MAbort-="" <SERR-="" <PERR-="" BridgeCtl:="" Parity-="" SERR-="" NoISA-="" VGA-="" MAbort-="">Reset- FastB2B-
    PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
    Capabilities: [40] Subsystem: Intel Corporation Sandy Bridge IIO PCI Express Root Port 3c [8086:3c0a]
    Capabilities: [60] Message Signalled Interrupts: Mask+ 64bit- Count=1/2 Enable-
    Address: 00000000 Data: 0000
    Masking: 00000000 Pending: 00000000
    Capabilities: [90] Express (v2) Root Port (Slot+), MSI 00
    DevCap: MaxPayload 256 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE+ FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed 5GT/s, Width x8, ASPM unknown, Latency L0 unlimited, L1 <16us
    ClockPM- Suprise+ LLActRep+ BwNot-
    LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
    SltCap: AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surpise-
    Slot # 0, PowerLimit 25.000000; Interlock- NoCompl-
    SltCtl: Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
    Control: AttnInd Off, PwrInd Off, Power+ Interlock-
    SltSta: Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet- Interlock-
    Changed: MRL- PresDet- LinkState-
    RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
    RootCap: CRSVisible-
    RootSta: PME ReqID 0000, PMEStatus- PMEPending-
    DevCap2: Completion Timeout: Range BCD, TimeoutDis+ ARIFwd+
    DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis- ARIFwd-
    LnkCtl2: Target Link Speed: 5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
    LnkSta2: Current De-emphasis Level: -6dB
    Capabilities: [e0] Power Management version 3
    Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
    Status: D0 PME-Enable- DSel=0 DScale=0 PME-
    Capabilities: [100] Vendor Specific Information <?>
    Capabilities: [110] Access Control Services
    ACSCap: SrcValid+ TransBlk+ ReqRedir+ CmpltRedir+ UpstreamFwd+ EgressCtrl- DirectTrans-
    ACSCtl: SrcValid- TransBlk- ReqRedir- CmpltRedir- UpstreamFwd- EgressCtrl- DirectTrans-
    Capabilities: [148] Advanced Error Reporting
    UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UESvrt: DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
    CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
    CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
    AERCap: First Error Pointer: 00, GenCap- CGenEn- ChkCap- ChkEn-
    Capabilities: [1d0] Vendor Specific Information <?>
    Capabilities: [250] #19
    Capabilities: [280] Vendor Specific Information <?>
    Kernel driver in use: pcieport

    00:05.0 System peripheral [0880]: Intel Corporation Sandy Bridge Address Map, VTd_Misc, System Management [8086:3c28] (rev 07)
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v2) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
    DevCap2: Completion Timeout: Not Supported, TimeoutDis-
    DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
    LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
    LnkSta2: Current De-emphasis Level: -6dB

    00:05.2 System peripheral [0880]: Intel Corporation Sandy Bridge Control Status and Global Errors [8086:3c2a] (rev 07)
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v2) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
    DevCap2: Completion Timeout: Not Supported, TimeoutDis-
    DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
    LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
    LnkSta2: Current De-emphasis Level: -6dB

    00:05.4 PIC [0800]: Intel Corporation Sandy Bridge I/O APIC [8086:3c2c] (rev 07) (prog-if 20 [IO(X)-APIC])
    Subsystem: Intel Corporation Sandy Bridge I/O APIC [8086:3c2c]
    Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Latency: 0, Cache Line Size: 64 bytes
    Region 0: Memory at fbf08000 (32-bit, non-prefetchable) [size=4K]
    Capabilities: [6c] Power Management version 3
    Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
    Status: D0 PME-Enable- DSel=0 DScale=0 PME-

    00:16.0 Communication controller [0780]: Intel Corporation DH89xxCC MEI 0 [8086:2364] (rev 06)
    Subsystem: Intel Corporation DH89xxCC MEI 0 [8086:2364]
    Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Latency: 0
    Interrupt: pin A routed to IRQ 255
    Region 0: Memory at fbf07000 (64-bit, non-prefetchable) [size=16]
    Capabilities: [50] Power Management version 3
    Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
    Status: D0 PME-Enable- DSel=0 DScale=0 PME-
    Capabilities: [8c] Message Signalled Interrupts: Mask- 64bit+ Count=1/1 Enable-
    Address: 0000000000000000 Data: 0000

    00:16.1 Communication controller [0780]: Intel Corporation DH89xxCC MEI 1 [8086:2365] (rev 06)
    Subsystem: Intel Corporation DH89xxCC MEI 1 [8086:2365]
    Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Latency: 0
    Interrupt: pin B routed to IRQ 255
    Region 0: Memory at fbf06000 (64-bit, non-prefetchable) [size=16]
    Capabilities: [50] Power Management version 3
    Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
    Status: D0 PME-Enable- DSel=0 DScale=0 PME-
    Capabilities: [8c] Message Signalled Interrupts: Mask- 64bit+ Count=1/1 Enable-
    Address: 0000000000000000 Data: 0000

    00:1c.0 PCI bridge [0604]: Intel Corporation DH89xxCC PCI Express Root Port #1 [8086:2342] (rev 07) (prog-if 00 [Normal decode])
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-="" Latency:="" 0,="" Cache="" Line="" Size:="" 64="" bytes="" Bus:="" primary="00," secondary="05," subordinate="05," sec-latency="0" I="" O="" behind="" bridge:="" 0000f000-00000fff="" Memory="" behind="" bridge:="" fff00000-000fffff="" Prefetchable="" memory="" behind="" bridge:="" 00000000fff00000-00000000000fffff="" Secondary="" status:="" 66MHz-="" FastB2B-="" ParErr-="" DEVSEL="fast">TAbort- <TAbort- <MAbort+="" <SERR-="" <PERR-="" BridgeCtl:="" Parity-="" SERR-="" NoISA-="" VGA-="" MAbort-="">Reset- FastB2B-
    PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
    Capabilities: [40] Express (v2) Root Port (Slot+), MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE+ FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
    LnkCap: Port #1, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <1us, L1 <4us
    ClockPM- Suprise- LLActRep+ BwNot-
    LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
    SltCap: AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surpise-
    Slot # 0, PowerLimit 10.000000; Interlock- NoCompl+
    SltCtl: Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
    Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
    SltSta: Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet- Interlock-
    Changed: MRL- PresDet- LinkState-
    RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
    RootCap: CRSVisible-
    RootSta: PME ReqID 0000, PMEStatus- PMEPending-
    DevCap2: Completion Timeout: Range BC, TimeoutDis+ ARIFwd-
    DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis- ARIFwd-
    LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
    LnkSta2: Current De-emphasis Level: -6dB
    Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Count=1/1 Enable-
    Address: 00000000 Data: 0000
    Capabilities: [90] Subsystem: Intel Corporation DH89xxCC PCI Express Root Port #1 [8086:2342]
    Capabilities: [a0] Power Management version 2
    Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
    Status: D0 PME-Enable- DSel=0 DScale=0 PME-
    Kernel driver in use: pcieport

    00:1c.1 PCI bridge [0604]: Intel Corporation DH89xxCC PCI Express Root Port #2 [8086:2344] (rev 07) (prog-if 00 [Normal decode])
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-="" Latency:="" 0,="" Cache="" Line="" Size:="" 64="" bytes="" Bus:="" primary="00," secondary="06," subordinate="06," sec-latency="0" I="" O="" behind="" bridge:="" 0000c000-0000cfff="" Memory="" behind="" bridge:="" fbc00000-fbcfffff="" Prefetchable="" memory="" behind="" bridge:="" 00000000fff00000-00000000000fffff="" Secondary="" status:="" 66MHz-="" FastB2B-="" ParErr-="" DEVSEL="fast">TAbort- <TAbort- <MAbort-="" <SERR-="" <PERR-="" BridgeCtl:="" Parity-="" SERR-="" NoISA-="" VGA-="" MAbort-="">Reset- FastB2B-
    PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
    Capabilities: [40] Express (v2) Root Port (Slot+), MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE+ FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
    LnkCap: Port #2, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <256ns, L1 <4us
    ClockPM- Suprise- LLActRep+ BwNot-
    LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive+ BWMgmt- ABWMgmt-
    SltCap: AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surpise-
    Slot # 1, PowerLimit 10.000000; Interlock- NoCompl+
    SltCtl: Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
    Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
    SltSta: Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
    Changed: MRL- PresDet- LinkState-
    RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
    RootCap: CRSVisible-
    RootSta: PME ReqID 0000, PMEStatus- PMEPending-
    DevCap2: Completion Timeout: Range BC, TimeoutDis+ ARIFwd-
    DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis- ARIFwd-
    LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
    LnkSta2: Current De-emphasis Level: -6dB
    Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Count=1/1 Enable-
    Address: 00000000 Data: 0000
    Capabilities: [90] Subsystem: Intel Corporation DH89xxCC PCI Express Root Port #2 [8086:2344]
    Capabilities: [a0] Power Management version 2
    Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
    Status: D0 PME-Enable- DSel=0 DScale=0 PME-
    Kernel driver in use: pcieport

    00:1d.0 USB controller [0c03]: Intel Corporation DH89xxCC USB2 Enhanced Host Controller #1 [8086:2334] (rev 07) (prog-if 20 [EHCI])
    Subsystem: Device [001d:742f]
    Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-="" Latency:="" 0="" Interrupt:="" pin="" A="" routed="" to="" IRQ="" 23="" Region="" 0:="" Memory="" at="" fbf05000="" (32-bit,="" non-prefetchable)="" <span="">[size=1K] Capabilities: [50] Power Management version 2 Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+) Status: D0 PME-Enable- DSel=0 DScale=0 PME- Capabilities: [58] Debug port: BAR=1 offset=00a0 Capabilities: [98] PCIe advanced features
    Kernel driver in use: ehci_hcd

    00:1f.0 ISA bridge [0601]: Intel Corporation DH89xxCC LPC Controller [8086:2310] (rev 07)
    Subsystem: Intel Corporation DH89xxCC LPC Controller [8086:2310]
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-="" Latency:="" 0="" Capabilities:="" <span="">[e0] Vendor Specific Information
    Kernel driver in use: gsio_gep4_gep5
    Kernel modules: iTCO_wdt, gsio

    00:1f.2 SATA controller [0106]: Intel Corporation DH89xxCC 4 Port SATA AHCI Controller [8086:2323] (rev 07) (prog-if 01 [AHCI 1.0])
    Subsystem: Intel Corporation Device [8086:2321]
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-="" Latency:="" 0="" Interrupt:="" pin="" B="" routed="" to="" IRQ="" 19="" Region="" 0:="" I="" O="" ports="" at="" f070="" <span="">[size=8] Region 1: I/O ports at f060 [size=4] Region 2: I/O ports at f050 [size=8] Region 3: I/O ports at f040 [size=4] Region 4: I/O ports at f020 [size=32] Region 5: Memory at fbf04000 (32-bit, non-prefetchable) [size=2K] Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Count=1/1 Enable- Address: 00000000 Data: 0000 Capabilities: [70] Power Management version 3 Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold-) Status: D0 PME-Enable- DSel=0 DScale=0 PME- Capabilities: [a8] SATA HBA
    Capabilities: [b0] PCIe advanced features <?>
    Kernel driver in use: ahci

    00:1f.3 SMBus [0c05]: Intel Corporation DH89xxCC SMBus Controller [8086:2330] (rev 07)
    Subsystem: Intel Corporation DH89xxCC SMBus Controller [8086:2330]
    Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Interrupt: pin C routed to IRQ 18
    Region 0: Memory at fbf03000 (64-bit, non-prefetchable) [size=256]
    Region 4: I/O ports at f000 [size=32]
    Kernel driver in use: i801_smbus
    Kernel modules: i2c-i801

    00:1f.7 System peripheral [0880]: Intel Corporation DH89xxCC Watchdog Timer [8086:2360] (rev 07)
    Subsystem: Device [75e2:f021]
    Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Latency: 0
    Region 0: Memory at fbf02000 (32-bit, non-prefetchable) [size=2K]
    Region 1: Memory at fbf01000 (32-bit, non-prefetchable) [size=128]
    Region 2: Memory at fbf00000 (32-bit, non-prefetchable) [size=1K]
    Capabilities: [80] MSI-X: Enable- Mask- TabSize=80
    Vector table: BAR=0 offset=00000000
    PBA: BAR=1 offset=00000000

    01:00.0 Ethernet controller [0200]: Intel Corporation 82599EB 10 Gigabit Dual Port Backplane Connection [8086:10f8] (rev 01)
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-="" Latency:="" 0,="" Cache="" Line="" Size:="" 64="" bytes="" Interrupt:="" pin="" A="" routed="" to="" IRQ="" 11="" Region="" 0:="" Memory="" at="" fbe20000="" (64-bit,="" non-prefetchable)="" <span="">[size=128K] Region 2: I/O ports at e020 [size=32] Region 4: Memory at fbe44000 (64-bit, non-prefetchable) [size=16K] Capabilities: [40] Power Management version 3 Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold-) Status: D0 PME-Enable- DSel=0 DScale=1 PME- Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+ Count=1/1 Enable- Address: 0000000000000000 Data: 0000 Masking: 00000000 Pending: 00000000 Capabilities: [70] MSI-X: Enable- Mask- TabSize=64 Vector table: BAR=4 offset=00000000 PBA: BAR=4 offset=00002000 Capabilities: [a0] Express (v2) Endpoint, MSI 00 DevCap: MaxPayload 512 bytes, PhantFunc 0, Latency L0s <512ns, L1 <64us ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset+ DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported- RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+ FLReset- MaxPayload 256 bytes, MaxReadReq 512 bytes DevSta: CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr- TransPend- LnkCap: Port #0, Speed 5GT/s, Width x8, ASPM L0s, Latency L0 unlimited, L1 <8us ClockPM- Suprise- LLActRep- BwNot- LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+ ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt- LnkSta: Speed 5GT/s, Width x8, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt- DevCap2: Completion Timeout: Range ABCD, TimeoutDis+ DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis- LnkCtl2: Target Link Speed: 5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS- Compliance De-emphasis: -6dB LnkSta2: Current De-emphasis Level: -6dB Capabilities: [e0] Vital Product Data
    Capabilities: [100] Advanced Error Reporting
    UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UESvrt: DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
    CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
    CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
    AERCap: First Error Pointer: 00, GenCap+ CGenEn- ChkCap+ ChkEn-
    Capabilities: [140] Device Serial Number 00-00-00-ff-ff-00-00-00
    Capabilities: [150] Alternative Routing-ID Interpretation (ARI)
    ARICap: MFVC- ACS-, Next Function: 1
    ARICtl: MFVC- ACS-, Function Group: 0
    Capabilities: [160] Single Root I/O Virtualization (SR-IOV)
    IOVCap: Migration-, Interrupt Message Number: 000
    IOVCtl: Enable- Migration- Interrupt- MSE- ARIHierarchy-
    IOVSta: Migration-
    Initial VFs: 64, Total VFs: 64, Number of VFs: 0, Function Dependency Link: 00
    VF offset: 384, stride: 2, Device ID: 10ed
    Supported Page Size: 00000553, System Page Size: 00000001
    VF Migration: offset: 00000000, BIR: 1

    01:00.1 Ethernet controller [0200]: Intel Corporation 82599EB 10 Gigabit Dual Port Backplane Connection [8086:10f8] (rev 01)
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-="" Latency:="" 0,="" Cache="" Line="" Size:="" 64="" bytes="" Interrupt:="" pin="" B="" routed="" to="" IRQ="" 5="" Region="" 0:="" Memory="" at="" fbe00000="" (64-bit,="" non-prefetchable)="" <span="">[size=128K] Region 2: I/O ports at e000 [size=32] Region 4: Memory at fbe40000 (64-bit, non-prefetchable) [size=16K] Capabilities: [40] Power Management version 3 Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold-) Status: D0 PME-Enable- DSel=0 DScale=1 PME- Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+ Count=1/1 Enable- Address: 0000000000000000 Data: 0000 Masking: 00000000 Pending: 00000000 Capabilities: [70] MSI-X: Enable- Mask- TabSize=64 Vector table: BAR=4 offset=00000000 PBA: BAR=4 offset=00002000 Capabilities: [a0] Express (v2) Endpoint, MSI 00 DevCap: MaxPayload 512 bytes, PhantFunc 0, Latency L0s <512ns, L1 <64us ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset+ DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported- RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+ FLReset- MaxPayload 256 bytes, MaxReadReq 512 bytes DevSta: CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr- TransPend- LnkCap: Port #0, Speed 5GT/s, Width x8, ASPM L0s, Latency L0 unlimited, L1 <8us ClockPM- Suprise- LLActRep- BwNot- LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+ ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt- LnkSta: Speed 5GT/s, Width x8, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt- DevCap2: Completion Timeout: Range ABCD, TimeoutDis+ DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis- LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS- Compliance De-emphasis: -6dB LnkSta2: Current De-emphasis Level: -6dB Capabilities: [e0] Vital Product Data
    Capabilities: [100] Advanced Error Reporting
    UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UESvrt: DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
    CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
    CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
    AERCap: First Error Pointer: 00, GenCap+ CGenEn- ChkCap+ ChkEn-
    Capabilities: [140] Device Serial Number 00-00-00-ff-ff-00-00-00
    Capabilities: [150] Alternative Routing-ID Interpretation (ARI)
    ARICap: MFVC- ACS-, Next Function: 0
    ARICtl: MFVC- ACS-, Function Group: 0
    Capabilities: [160] Single Root I/O Virtualization (SR-IOV)
    IOVCap: Migration-, Interrupt Message Number: 000
    IOVCtl: Enable- Migration- Interrupt- MSE- ARIHierarchy-
    IOVSta: Migration-
    Initial VFs: 64, Total VFs: 64, Number of VFs: 0, Function Dependency Link: 01
    VF offset: 384, stride: 2, Device ID: 10ed
    Supported Page Size: 00000553, System Page Size: 00000001
    VF Migration: offset: 00000000, BIR: 1

    02:00.0 Co-processor [0b40]: Intel Corporation Device [8086:0434] (rev 10)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Latency: 0
    Interrupt: pin A routed to IRQ 11
    Region 0: Memory at fbb00000 (64-bit, prefetchable) [size=512K]
    Region 2: Memory at fbd80000 (64-bit, non-prefetchable) [size=128K]
    Region 4: Memory at fbdb0000 (64-bit, non-prefetchable) [size=16K]
    Capabilities: [b0] Message Signalled Interrupts: Mask+ 64bit+ Count=1/1 Enable-
    Address: 0000000000000000 Data: 0000
    Masking: 00000000 Pending: 00000000
    Capabilities: [60] MSI-X: Enable- Mask- TabSize=17
    Vector table: BAR=2 offset=0001b000
    PBA: BAR=2 offset=0001b800
    Capabilities: [6c] Power Management version 3
    Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
    Status: D0 PME-Enable- DSel=0 DScale=0 PME-
    Capabilities: [74] Express (v2) Endpoint, MSI 00
    DevCap: MaxPayload 256 bytes, PhantFunc 0, Latency L0s <128ns, L1 <1us
    ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset+
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+ FLReset-
    MaxPayload 256 bytes, MaxReadReq 512 bytes
    DevSta: CorrErr- UncorrErr+ FatalErr- UnsuppReq+ AuxPwr- TransPend-
    LnkCap: Port #255, Speed 5GT/s, Width x8, ASPM L0s, Latency L0 <512ns, L1 unlimited
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed 5GT/s, Width x8, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
    DevCap2: Completion Timeout: Range B, TimeoutDis+
    DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
    LnkCtl2: Target Link Speed: 5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
    LnkSta2: Current De-emphasis Level: -6dB
    Capabilities: [100] Advanced Error Reporting
    UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq+ ACSViol-
    UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UESvrt: DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
    CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
    CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
    AERCap: First Error Pointer: 14, GenCap- CGenEn- ChkCap- ChkEn-

    02:00.1 Ethernet controller [0200]: Intel Corporation DH8900CC Series Gigabit Network Connection [8086:0438] (rev 10)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Latency: 0
    Interrupt: pin B routed to IRQ 36
    Region 0: Memory at fbd60000 (32-bit, non-prefetchable) [size=128K]
    Region 2: I/O ports at d180 [size=128]
    Region 3: Memory at fbdac000 (32-bit, non-prefetchable) [size=16K]
    Capabilities: [40] Power Management version 3
    Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold-)
    Status: D0 PME-Enable- DSel=0 DScale=0 PME-
    Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+ Count=1/1 Enable-
    Address: 0000000000000000 Data: 0000
    Masking: 00000000 Pending: 00000000
    Capabilities: [70] MSI-X: Enable- Mask- TabSize=10
    Vector table: BAR=3 offset=00000000
    PBA: BAR=3 offset=00002000
    Capabilities: [a0] Express (v2) Endpoint, MSI 00
    DevCap: MaxPayload 256 bytes, PhantFunc 0, Latency L0s <128ns, L1 <1us
    ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset+
    DevCtl: Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+ FLReset-
    MaxPayload 256 bytes, MaxReadReq 512 bytes
    DevSta: CorrErr- UncorrErr+ FatalErr- UnsuppReq+ AuxPwr- TransPend+
    LnkCap: Port #0, Speed 5GT/s, Width x8, ASPM L0s, Latency L0 <512ns, L1 unlimited
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed 5GT/s, Width x8, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
    DevCap2: Completion Timeout: Range B, TimeoutDis+
    DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
    LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
    LnkSta2: Current De-emphasis Level: -6dB
    Capabilities: [100] Advanced Error Reporting
    UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq+ ACSViol-
    UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UESvrt: DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
    CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
    CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
    AERCap: First Error Pointer: 14, GenCap- CGenEn- ChkCap- ChkEn-
    Kernel driver in use: igb
    Kernel modules: igb

    02:00.2 Ethernet controller [0200]: Intel Corporation DH8900CC Series Gigabit Network Connection [8086:0438] (rev 10)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Latency: 0
    Interrupt: pin C routed to IRQ 37
    Region 0: Memory at fbd40000 (32-bit, non-prefetchable) [size=128K]
    Region 2: I/O ports at d100 [size=128]
    Region 3: Memory at fbda8000 (32-bit, non-prefetchable) [size=16K]
    Capabilities: [40] Power Management version 3
    Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold-)
    Status: D0 PME-Enable- DSel=0 DScale=0 PME-
    Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+ Count=1/1 Enable-
    Address: 0000000000000000 Data: 0000
    Masking: 00000000 Pending: 00000000
    Capabilities: [70] MSI-X: Enable- Mask- TabSize=10
    Vector table: BAR=3 offset=00000000
    PBA: BAR=3 offset=00002000
    Capabilities: [a0] Express (v2) Endpoint, MSI 00
    DevCap: MaxPayload 256 bytes, PhantFunc 0, Latency L0s <128ns, L1 <1us
    ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset+
    DevCtl: Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+ FLReset-
    MaxPayload 256 bytes, MaxReadReq 512 bytes
    DevSta: CorrErr- UncorrErr+ FatalErr- UnsuppReq+ AuxPwr- TransPend+
    LnkCap: Port #0, Speed 5GT/s, Width x8, ASPM L0s, Latency L0 <512ns, L1 unlimited
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed 5GT/s, Width x8, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
    DevCap2: Completion Timeout: Range B, TimeoutDis+
    DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
    LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
    LnkSta2: Current De-emphasis Level: -6dB
    Capabilities: [100] Advanced Error Reporting
    UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq+ ACSViol-
    UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UESvrt: DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
    CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
    CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
    AERCap: First Error Pointer: 14, GenCap- CGenEn- ChkCap- ChkEn-
    Kernel driver in use: igb
    Kernel modules: igb

    02:00.3 Ethernet controller [0200]: Intel Corporation DH8900CC Series Gigabit Network Connection [8086:0438] (rev 10)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Latency: 0
    Interrupt: pin D routed to IRQ 38
    Region 0: Memory at fbd20000 (32-bit, non-prefetchable) [size=128K]
    Region 2: I/O ports at d080 [size=128]
    Region 3: Memory at fbda4000 (32-bit, non-prefetchable) [size=16K]
    Capabilities: [40] Power Management version 3
    Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold-)
    Status: D0 PME-Enable- DSel=0 DScale=0 PME-
    Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+ Count=1/1 Enable-
    Address: 0000000000000000 Data: 0000
    Masking: 00000000 Pending: 00000000
    Capabilities: [70] MSI-X: Enable- Mask- TabSize=10
    Vector table: BAR=3 offset=00000000
    PBA: BAR=3 offset=00002000
    Capabilities: [a0] Express (v2) Endpoint, MSI 00
    DevCap: MaxPayload 256 bytes, PhantFunc 0, Latency L0s <128ns, L1 <1us
    ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset+
    DevCtl: Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+ FLReset-
    MaxPayload 256 bytes, MaxReadReq 512 bytes
    DevSta: CorrErr- UncorrErr+ FatalErr- UnsuppReq+ AuxPwr- TransPend+
    LnkCap: Port #0, Speed 5GT/s, Width x8, ASPM L0s, Latency L0 <512ns, L1 unlimited
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed 5GT/s, Width x8, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
    DevCap2: Completion Timeout: Range B, TimeoutDis+
    DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
    LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
    LnkSta2: Current De-emphasis Level: -6dB
    Capabilities: [100] Advanced Error Reporting
    UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq+ ACSViol-
    UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UESvrt: DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
    CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
    CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
    AERCap: First Error Pointer: 14, GenCap- CGenEn- ChkCap- ChkEn-
    Kernel driver in use: igb
    Kernel modules: igb

    02:00.4 Ethernet controller [0200]: Intel Corporation DH8900CC Series Gigabit Network Connection [8086:0438] (rev 10)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Latency: 0
    Interrupt: pin B routed to IRQ 36
    Region 0: Memory at fbd00000 (32-bit, non-prefetchable) [size=128K]
    Region 2: I/O ports at d000 [size=128]
    Region 3: Memory at fbda0000 (32-bit, non-prefetchable) [size=16K]
    Capabilities: [40] Power Management version 3
    Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold-)
    Status: D0 PME-Enable- DSel=0 DScale=0 PME-
    Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+ Count=1/1 Enable-
    Address: 0000000000000000 Data: 0000
    Masking: 00000000 Pending: 00000000
    Capabilities: [70] MSI-X: Enable- Mask- TabSize=10
    Vector table: BAR=3 offset=00000000
    PBA: BAR=3 offset=00002000
    Capabilities: [a0] Express (v2) Endpoint, MSI 00
    DevCap: MaxPayload 256 bytes, PhantFunc 0, Latency L0s <128ns, L1 <1us
    ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset+
    DevCtl: Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+ FLReset-
    MaxPayload 256 bytes, MaxReadReq 512 bytes
    DevSta: CorrErr- UncorrErr+ FatalErr- UnsuppReq+ AuxPwr- TransPend+
    LnkCap: Port #0, Speed 5GT/s, Width x8, ASPM L0s, Latency L0 <512ns, L1 unlimited
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed 5GT/s, Width x8, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
    DevCap2: Completion Timeout: Range B, TimeoutDis+
    DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
    LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
    LnkSta2: Current De-emphasis Level: -6dB
    Capabilities: [100] Advanced Error Reporting
    UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq+ ACSViol-
    UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UESvrt: DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
    CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
    CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
    AERCap: First Error Pointer: 14, GenCap- CGenEn- ChkCap- ChkEn-
    Kernel driver in use: igb
    Kernel modules: igb

    02:00.5 Co-processor [0b40]: Intel Corporation Device [8086:043e] (rev 10)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Latency: 0
    Interrupt: pin C routed to IRQ 7
    Region 0: Memory at fbdb5000 (64-bit, non-prefetchable) [size=4K]
    Region 4: Memory at fbdb4000 (64-bit, non-prefetchable) [size=4K]
    Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+ Count=1/1 Enable-
    Address: 0000000000000000 Data: 0000
    Capabilities: [60] MSI-X: Enable- Mask- TabSize=2
    Vector table: BAR=4 offset=00000000
    PBA: BAR=4 offset=00000800
    Capabilities: [6c] Power Management version 3
    Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
    Status: D0 PME-Enable- DSel=0 DScale=0 PME-
    Capabilities: [74] Express (v2) Endpoint, MSI 00
    DevCap: MaxPayload 256 bytes, PhantFunc 0, Latency L0s <128ns, L1 <1us
    ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset+
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+ FLReset-
    MaxPayload 256 bytes, MaxReadReq 512 bytes
    DevSta: CorrErr- UncorrErr+ FatalErr- UnsuppReq+ AuxPwr- TransPend-
    LnkCap: Port #0, Speed 5GT/s, Width x8, ASPM L0s, Latency L0 <512ns, L1 unlimited
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed 5GT/s, Width x8, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
    DevCap2: Completion Timeout: Range B, TimeoutDis+
    DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
    LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
    LnkSta2: Current De-emphasis Level: -6dB
    Capabilities: [100] Advanced Error Reporting
    UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq+ ACSViol-
    UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UESvrt: DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
    CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
    CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
    AERCap: First Error Pointer: 14, GenCap- CGenEn- ChkCap- ChkEn-

    06:00.0 Ethernet controller [0200]: Intel Corporation 82574L Gigabit Network Connection [8086:10d3]
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Latency: 0, Cache Line Size: 64 bytes
    Interrupt: pin A routed to IRQ 17
    Region 0: Memory at fbc00000 (32-bit, non-prefetchable) [size=128K]
    Region 2: I/O ports at c000 [size=32]
    Region 3: Memory at fbc20000 (32-bit, non-prefetchable) [size=16K]
    Capabilities: [c8] Power Management version 2
    Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold-)
    Status: D0 PME-Enable- DSel=0 DScale=1 PME-
    Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Count=1/1 Enable-
    Address: 0000000000000000 Data: 0000
    Capabilities: [e0] Express (v1) Endpoint, MSI 00
    DevCap: MaxPayload 256 bytes, PhantFunc 0, Latency L0s <512ns, L1 <64us
    ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
    DevCtl: Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
    MaxPayload 128 bytes, MaxReadReq 512 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed 2.5GT/s, Width x1, ASPM unknown, Latency L0 <128ns, L1 <64us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
    Capabilities: [a0] MSI-X: Enable- Mask- TabSize=5
    Vector table: BAR=3 offset=00000000
    PBA: BAR=3 offset=00002000
    Capabilities: [100] Advanced Error Reporting
    UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
    UESvrt: DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
    CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
    CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
    AERCap: First Error Pointer: 00, GenCap- CGenEn- ChkCap- ChkEn-
    Capabilities: [140] Device Serial Number 53-3b-ac-ff-ff-5e-13-00
    Kernel driver in use: e1000e
    Kernel modules: e1000e

    ff:08.0 System peripheral [0880]: Intel Corporation Sandy Bridge QPI Link 0 [8086:3c80] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:08.3 System peripheral [0880]: Intel Corporation Sandy Bridge QPI Link Reut 0 [8086:3c83] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-="" Capabilities:="" <span="">[40] Express (v1) Root Complex Integrated Endpoint, MSI 00 DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us ExtTag- RBE- FLReset- DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported- RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop- MaxPayload 128 bytes, MaxReadReq 128 bytes DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend- LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us ClockPM- Suprise- LLActRep- BwNot- LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk- ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt- LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt- Capabilities: [100] Vendor Specific Information

    ff:08.4 System peripheral [0880]: Intel Corporation Sandy Bridge QPI Link Reut 0 [8086:3c84] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v1) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-

    ff:09.0 System peripheral [0880]: Intel Corporation Sandy Bridge QPI Link 1 [8086:3c90] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:09.3 System peripheral [0880]: Intel Corporation Sandy Bridge QPI Link Reut 1 [8086:3c93] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-="" Capabilities:="" <span="">[40] Express (v1) Root Complex Integrated Endpoint, MSI 00 DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us ExtTag- RBE- FLReset- DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported- RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop- MaxPayload 128 bytes, MaxReadReq 128 bytes DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend- LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us ClockPM- Suprise- LLActRep- BwNot- LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk- ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt- LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt- Capabilities: [100] Vendor Specific Information

    ff:09.4 System peripheral [0880]: Intel Corporation Sandy Bridge QPI Link Reut 1 [8086:3c94] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v1) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-

    ff:0a.0 System peripheral [0880]: Intel Corporation Sandy Bridge Power Control Unit 0 [8086:3cc0] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0a.1 System peripheral [0880]: Intel Corporation Sandy Bridge Power Control Unit 1 [8086:3cc1] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0a.2 System peripheral [0880]: Intel Corporation Sandy Bridge Power Control Unit 2 [8086:3cc2] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0a.3 System peripheral [0880]: Intel Corporation Sandy Bridge Power Control Unit 3 [8086:3cd0] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0b.0 System peripheral [0880]: Intel Corporation Sandy Bridge Interrupt Control Registers [8086:3ce0] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0b.3 System peripheral [0880]: Intel Corporation Sandy Bridge Semaphore and Scratchpad Configuration Registers [8086:3ce3] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0c.0 System peripheral [0880]: Intel Corporation Sandy Bridge Unicast Register 0 [8086:3ce8] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0c.1 System peripheral [0880]: Intel Corporation Sandy Bridge Unicast Register 0 [8086:3ce8] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0c.2 System peripheral [0880]: Intel Corporation Sandy Bridge Unicast Register 0 [8086:3ce8] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0c.3 System peripheral [0880]: Intel Corporation Sandy Bridge Unicast Register 0 [8086:3ce8] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0c.6 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller System Address Decoder 0 [8086:3cf4] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0c.7 System peripheral [0880]: Intel Corporation Sandy Bridge System Address Decoder [8086:3cf6] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0d.0 System peripheral [0880]: Intel Corporation Sandy Bridge Unicast Register 0 [8086:3ce8] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0d.1 System peripheral [0880]: Intel Corporation Sandy Bridge Unicast Register 0 [8086:3ce8] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0d.2 System peripheral [0880]: Intel Corporation Sandy Bridge Unicast Register 0 [8086:3ce8] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0d.3 System peripheral [0880]: Intel Corporation Sandy Bridge Unicast Register 0 [8086:3ce8] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0d.6 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller System Address Decoder 1 [8086:3cf5] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0e.0 System peripheral [0880]: Intel Corporation Sandy Bridge Processor Home Agent [8086:3ca0] (rev 07)
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0e.1 Performance counters [1101]: Intel Corporation Sandy Bridge Processor Home Agent Performance Monitoring [8086:3c46] (rev 07)
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:0f.0 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Registers [8086:3ca8] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v1) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-

    ff:0f.1 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller RAS Registers [8086:3c71] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v1) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-

    ff:0f.2 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Target Address Decoder 0 [8086:3caa] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v1) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-

    ff:0f.3 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Target Address Decoder 1 [8086:3cab] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v1) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-

    ff:0f.4 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Target Address Decoder 2 [8086:3cac] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v1) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-

    ff:0f.5 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Target Address Decoder 3 [8086:3cad] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v1) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-

    ff:0f.6 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Target Address Decoder 4 [8086:3cae] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:10.0 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Channel 0-3 Thermal Control 0 [8086:3cb0] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v1) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-

    ff:10.1 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Channel 0-3 Thermal Control 1 [8086:3cb1] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v1) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-

    ff:10.2 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller ERROR Registers 0 [8086:3cb2] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v1) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-

    ff:10.3 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller ERROR Registers 1 [8086:3cb3] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v1) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-

    ff:10.4 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Channel 0-3 Thermal Control 2 [8086:3cb4] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v1) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-

    ff:10.5 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller Channel 0-3 Thermal Control 3 [8086:3cb5] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v1) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-

    ff:10.6 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller ERROR Registers 2 [8086:3cb6] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v1) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-

    ff:10.7 System peripheral [0880]: Intel Corporation Sandy Bridge Integrated Memory Controller ERROR Registers 3 [8086:3cb7] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-
    Capabilities: [40] Express (v1) Root Complex Integrated Endpoint, MSI 00
    DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
    ExtTag- RBE- FLReset-
    DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
    RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
    MaxPayload 128 bytes, MaxReadReq 128 bytes
    DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
    LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
    ClockPM- Suprise- LLActRep- BwNot-
    LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
    ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
    LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-

    ff:11.0 System peripheral [0880]: Intel Corporation Sandy Bridge DDRIO [8086:3cb8] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:13.0 System peripheral [0880]: Intel Corporation Sandy Bridge R2PCIe [8086:3ce4] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:13.1 Performance counters [1101]: Intel Corporation Sandy Bridge Ring to PCI Express Performance Monitor [8086:3c43] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:13.4 Performance counters [1101]: Intel Corporation Sandy Bridge QuickPath Interconnect Agent Ring Registers [8086:3ce6] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:13.5 Performance counters [1101]: Intel Corporation Sandy Bridge Ring to QuickPath Interconnect Link 0 Performance Monitor [8086:3c44] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    ff:13.6 System peripheral [0880]: Intel Corporation Sandy Bridge Ring to QuickPath Interconnect Link 1 Performance Monitor [8086:3c45] (rev 07)
    Subsystem: Intel Corporation Device [8086:0000]
    Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
    Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR- INTx-

    linux:~ #

     
  • netprince

    netprince - 2013-10-02

    We are working on a reproduction with a clean SLES environment. We can try it on SLES 11 SP3. Will let you know the result later.

     
  • netprince

    netprince - 2013-11-19

    we have reproduced it with 5.0.6 (latest up to day) running on SLES11 SP3.
    I'm looking forward for your next update on the issue.

     
  • Todd Fujinaka

    Todd Fujinaka - 2013-11-19

    We'll try reproducing this locally. It sounds like an interrupt routing issue from your description.

    Please tell us what system you're running this on. If it's custom, we may need you to try the same thing on a "standard" system. We'll also need everything else pertinent to a local reproduction: detailed hardware information on both ends of the link (including BIOS versions), setup steps for your test, etc.

    At the same time, can you make sure you're running the latest BIOS.

    If possible, run this test with another NIC such as a Intel® Ethernet Server Adapter I350-T4 )I know not everyone has spare NICs.

    Thanks.

     
  • Todd Fujinaka

    Todd Fujinaka - 2013-12-02

    We still need details on your setup. Otherwise, I'll close this isssue.

    Thanks.

     
  • Todd Fujinaka

    Todd Fujinaka - 2013-12-02
    • status: open --> pending
     
  • Todd Fujinaka

    Todd Fujinaka - 2013-12-23

    Closing due to inactivity.

     
  • Todd Fujinaka

    Todd Fujinaka - 2013-12-23
    • status: pending --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks